## org.irisa.genouest.logol.utils
Class MyRevCompSequence

    java.lang.Object
      org.irisa.genouest.logol.utils.MySequence
          org.irisa.genouest.logol.utils.MyRevCompSequence

All Implemented Interfaces:
  org.biojava.bio.Annotatable, org.biojava.bio.seq.FeatureHolder, org.biojava.bio.seq.Sequence, org.biojava.bio.symbol.SymbolList, org.biojava.utils.Changeable

    public class MyRevCompSequence

extends MySequence

Simple Sequence implementation to fix memory issues with BioJava DNATools functions. Implements minimum number of functions for sequence data manipulation (no symbols and features) Fix : 1660

Author:
  osallou

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`org.biojava.bio.seq.FeatureHolder.EmptyFeatureHolder`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`org.biojava.bio.Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.symbol.SymbolList
`EDIT, EMPTY_LIST`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`MyRevCompSequence(org.biojava.bio.seq.Sequence seq)`

Method Summary

Methods inherited from class org.irisa.genouest.logol.utils.MySequence
`addChangeListener, addChangeListener, containsFeature, countFeatures, createFeature, edit, features, filter, filter, getAlphabet, getAnnotation, getContent, getHeader, getName, getSchema, getURN, isUnchanging, iterator, length, removeChangeListener, removeChangeListener, removeFeature, seqString, setContent, setHeader, setPosition, subList, subStr, symbolAt, toList, writeFasta`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyRevCompSequence

    public MyRevCompSequence(org.biojava.bio.seq.Sequence seq)